// IntStack.h 
// Integer Stack Class using array
// CS210 - S'03 - 3/4/03 - Ray S. Babcock
//

#ifndef INTSTACK_H_
#define INTSTACK_H_

class IntStack {
	public:
	  IntStack(int = 10);
	  ~IntStack();
	  bool push(const int &);
	  bool pop(int &);
	  bool isEmpty() const;
	  bool isFull() const;
	private:
	  int size;
	  int top;
	  int * stackPtr;
};
#endif
